
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM1.09A1-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1312
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t=' ';
	delay_init();
	OLED_Init();
	OLED_ColorTurn(0);//0ʾ1 ɫʾ
	LED0=0;
	while(1)
	{
	#if(USE_HORIZONTAL==90|USE_HORIZONTAL==270)
	{
		OLED_ShowPicture(0,0,128,64,BMP1,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		
		
		OLED_ShowChinese(0,0,0,16,1);//
		OLED_ShowChinese(16,0,1,16,1);//
		OLED_ShowChinese(32,0,2,16,1);//
		OLED_ShowChinese(48,0,3,16,1);//
		OLED_ShowChinese(64,0,4,16,1);//
		OLED_ShowChinese(80,0,5,16,1);//		
		OLED_ShowChinese(96,0,6,16,1);//
		OLED_ShowChinese(112,0,7,16,1);//		
		

		OLED_ShowString(8,16,"EASTRISING",16,1);
		OLED_ShowString(0,32,"BUYDISPLAY.COM",16,1);
		OLED_ShowString(0,48,"ASCII:",16,1);  
		OLED_ShowString(63,48,"CODE:",16,1);
		OLED_ShowChar(48,48,t,16,1);//ʾASCIIַ	   
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(103,48,t,3,16,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowChinese(0,0,0,16,1);  //16*16 
	  OLED_ShowChinese(16,0,0,24,1); //24*24 
		OLED_ShowChinese(24,20,0,32,1);//32*32 
	  OLED_ShowChinese(64,0,0,64,1); //64*64 
		OLED_Refresh();
	  delay_ms(500);
  	OLED_Clear();
		OLED_ShowString(0,0,"ABC",8,1);//6*8 ABC
		OLED_ShowString(0,8,"ABC",12,1);//6*12 ABC
	  OLED_ShowString(0,20,"ABC",16,1);//8*16 ABC
		OLED_ShowString(0,36,"ABC",24,1);//12*24 ABC
	  OLED_Refresh();
		delay_ms(500);
}
		#else
  {
    OLED_ShowPicture(0,0,64,128,BMP2,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowChinese(0,0,0,16,1);//
		OLED_ShowChinese(16,0,1,16,1);//
		OLED_ShowChinese(32,0,2,16,1);//
		OLED_ShowChinese(48,0,3,16,1);//
		OLED_ShowString(0,32,"ER OLED",16,1);
		
		OLED_ShowString(0,48,"ASCII:",16,1);
		OLED_ShowString(0,64,"CODE:",16,1);
		OLED_ShowChar(48,48,t,16,1);//ʾASCIIַ	   
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(40,64,t,3,16,1);
		
		OLED_ShowChinese(0,80,0,16,1);//16*16 
   	OLED_ShowChinese(20,80,0,24,1);//24*24 

		OLED_ShowString(0,104,"A",24,1);//6*12 ABC
		OLED_ShowString(28,110,"B",16,1);//8*16 ABC
		OLED_ShowString(44,113,"C",12,1);//12*24 ABC
	  OLED_Refresh();
		delay_ms(500);
	}
	#endif
 }
}

